summaryrefslogtreecommitdiff
path: root/home/xyz/.local
diff options
context:
space:
mode:
authorXiao Pan <gky44px1999@gmail.com>2023-06-30 19:57:05 -0700
committerXiao Pan <gky44px1999@gmail.com>2023-06-30 19:57:05 -0700
commit3396ad8573855e8f31cf3a26561df27b648687b6 (patch)
tree635aec42595b1aeec80eb70146da3f5b3b87255a /home/xyz/.local
parent06b760e7150766fa744ceeb4919c2e4b64a2ba07 (diff)
mpra
Diffstat (limited to 'home/xyz/.local')
-rwxr-xr-xhome/xyz/.local/bin/mpra13
1 files changed, 11 insertions, 2 deletions
diff --git a/home/xyz/.local/bin/mpra b/home/xyz/.local/bin/mpra
index bd96e76b..ed435d74 100755
--- a/home/xyz/.local/bin/mpra
+++ b/home/xyz/.local/bin/mpra
@@ -2,9 +2,9 @@
# MakePkg Repo-Add
fn () {
- find . -maxdepth 1 -type f -name '*.pkg.tar.zst*' -delete
+ find . -maxdepth 1 -type f -name "*.pkg.tar.$ext*" -delete
makepkg --sign -sf
- newpkg="$(find . -maxdepth 1 -type f -name '*.pkg.tar.zst')"
+ newpkg="$(find . -maxdepth 1 -type f -name "*.pkg.tar.$ext")"
mv "$newpkg" "$newpkg.sig" ..
# need manually repo-add new database for first time initialization
repo-add -s -v -R "$(find .. -maxdepth 1 -type f -name '*.db.tar.gz')" "../$newpkg"
@@ -12,6 +12,15 @@ fn () {
upd -p
+while getopts a opt; do
+ case $opt in
+ # arch linux arm still using .xz instead of .zst as package compression format
+ a) ext=xz;;
+ \?) exit 1;;
+ esac
+done
+shift $((OPTIND-1))
+
if [ $# -eq 0 ]; then
fn
else